"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class ReportEventType(object):
    """
    The type of the ReportedVariant      * reported: this is a variant
    reported by a GMC * candidate: this is a variant suggested by a
    Clinical Interpretation Partner * tiered: this is a variant
    highlighted by the tiering process * other: any other source
    """

    reported = "reported"
    candidate = "candidate"
    genomics_england_tiering = "genomics_england_tiering"
    questionnaire = "questionnaire"
    other = "other"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
